Bug 1314771 - Use-after-free bug breaks NEF previews
Use-after-free bug breaks NEF previews
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: geeqie (Show other bugs)
23
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Matthew Miller
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-04 07:40 EST by Solomon Peachy
Modified: 2016-03-15 21:24 EDT (History)
3 users (show)

See Also:
Fixed In Version: geeqie-1.2.2-3.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-15 21:24:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Solomon Peachy 2016-03-04 07:40:42 EST
Description of problem:

Geeqie on Fedora 23 does not properly high-res thumbnails of NEF images.  This is a regression from Fedora 22.

How reproducible:

100%

Steps to Reproduce:
1. Point Geeqie at an NEF image
2. Marvel at the 160x120 thumbnail preview instead of the high-res one.

Additional info:

The underlying problem is that the exiv2's expectation of the 'path' component of a filename to have the same lifetime as the object that references it, but geeqie was freeing it too early.

This just-committed upstream patch resolves the problem:

http://www.geeqie.org/cgi-bin/gitweb.cgi?p=geeqie.git;a=patch;h=96db62d2afb70a4cba99a424122667d61ac6028b

It would be nice for Fedora to carry this patch until upstream's next full release.  :)
Comment 1 Zbigniew Jędrzejewski-Szmek 2016-03-04 13:39:44 EST
Can you check if the rawhide version works for you?
I made a scratch build in http://koji.fedoraproject.org/koji/taskinfo?taskID=13229311 for F23, you should be able to install that without dependency issues.
Comment 2 Solomon Peachy 2016-03-04 19:25:23 EST
The scratch build works great on F23, thanks for turning that around so quickly!
Comment 3 Zbigniew Jędrzejewski-Szmek 2016-03-04 20:31:06 EST
OK, then I'll push this version to F23 too. When we update to the next version we'll switch to the upstream patch.
Comment 4 Fedora Update System 2016-03-04 21:04:49 EST
geeqie-1.2.2-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-705483b597
Comment 5 Fedora Update System 2016-03-05 21:57:22 EST
geeqie-1.2.2-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-705483b597
Comment 6 Fedora Update System 2016-03-15 21:24:04 EDT
geeqie-1.2.2-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.